
Installer - Bug #34875

Option --certs-regenerate is stored and thus causes certificate regeneration to happen every run
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/764

  

Description

Associated revisions

Revision e28a5199 - 05/19/2022 05:56 PM - Eric Helms

Fixes #34875: Prevent certs regeneration on every installer run

Given answers are stored, if a user supplies --certs-regenerate then

every installer run thereafter will regenerate certificates. Ensure this

value is reset after installation run.

History

#1 - 05/06/2022 05:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/764 added

#2 - 05/19/2022 05:56 PM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#3 - 05/19/2022 06:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|e28a51998be06ab97ce4d56b5fa16f1d2024ee33.
